Skip to content

Update a creative

PATCH
/creatives/{id}
curl --request PATCH \
--url https://ads.wortise.com/api/public/v1/creatives/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "adCapping": 1, "adGroup": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "asset": { "aspectRatio": "5:4", "filename": "example", "height": 1, "size": 1, "storageKey": "example", "url": "https://example.com", "watermark": true, "watermarkUrl": "https://example.com", "width": 1, "extension": "jpeg", "type": "image" }, "audience": { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "name": "example", "not": { "appFilter": [ "example" ], "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "not": {}, "tag": { "audiences": [ { "id": "example", "label": "example" } ], "products": [ { "id": "example", "label": "example" } ], "topics": [ { "id": "example", "label": "example" } ] }, "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "appFilters": { "coppa": true, "maxInstalls": 1, "minInstalls": 1, "minScore": 1, "platform": [ "android" ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "cpm": 1, "isPublic": true, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "traffic": { "age": { "additionalProperty": 1 }, "category": { "additionalProperty": 1 }, "country": { "additionalProperty": 1 }, "device": { "additionalProperty": 1 }, "gender": { "additionalProperty": 1 }, "size": { "additionalProperty": 1 } }, "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "brand": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "budget": 1, "campaign": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "cta": "contact_us", "height": 1, "html": "example", "isDraft": true, "locale": "en", "name": "example", "objective": 1, "order": 1, "product": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sample": { "-2": 1, "other": 1 }, "status": "enabled", "trackingTag": "https://example.com", "type": "banner", "url": "example", "utm": { "campaign": "example", "id": "example", "medium": "example", "source": "example" }, "width": 1 }'

Updates the sent fields of an existing creative.

Requires the creatives:write scope.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/

Creative UUID.

Media typeapplication/json
object
adCapping
Any of:
Any of:
integer
> 0 <= 9007199254740991
adGroup

Ref to ad_groups collection. When set, this creative is resolved against its ad group instead of the campaign directly

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
asset
One of:
object
aspectRatio
required
string
Allowed values: 5:4 9:16 2:3 21:9
filename
string
height
integer
> 0 <= 9007199254740991
size
integer
> 0 <= 9007199254740991
storageKey
string
url
required
string format: uri
watermark
boolean
watermarkUrl
string format: uri
width
integer
> 0 <= 9007199254740991
extension
required
string
Allowed values: jpeg jpg png webp
type
required
string
Allowed value: image
audience
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
name
string
not

Only explicitly requested targeting exclusions.

object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not
object recursive
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
isPublic
boolean
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
time
object
day
Array<number>
hour
Array<object>
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
brand

Ref to brands collection

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
budget
Any of:

Budget in users local currency

Any of:
number
> 0
campaign

Campaign the creative belongs to. Optional: a creative can be saved first and used in a campaign later

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
cta

CTA text id or custom text

Any of:
string
Allowed values: contact_us download install more_info open play_now see_more subscribe visit_site
height
integer
> 0 <= 9007199254740991
html

HTML content of the creative. Optional until first render.

string
isDraft
boolean
locale
string
Allowed values: en es pt
name
string
objective
Any of:

Number of impressions targeted.

Any of:
integer
> 0 <= 9007199254740991
order

Position of the creative inside its ad group

integer
<= 9007199254740991
product

Ref to products collection

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
sample
object
-2
number
other
number
status
string
Allowed values: enabled disabled archived
trackingTag
string format: uri
type
string
Allowed values: banner interstitial vast
url

Destination URL (redirect)

string
utm
object
campaign
string
id
string
medium
string
source
string
width
integer
> 0 <= 9007199254740991

The updated creative.

Media typeapplication/json
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
adCapping
Any of:
integer
> 0 <= 9007199254740991
adGroup

Ref to ad_groups collection. When set, this creative is resolved against its ad group instead of the campaign directly

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
asset
One of:
object
aspectRatio
required
string
Allowed values: 5:4 9:16 2:3 21:9
filename
string
height
integer
> 0 <= 9007199254740991
size
integer
> 0 <= 9007199254740991
storageKey
string
url
required
string format: uri
watermark
boolean
watermarkUrl
string format: uri
width
integer
> 0 <= 9007199254740991
extension
required
string
Allowed values: jpeg jpg png webp
type
required
string
Allowed value: image
audience
object
_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
name
string
not

Only explicitly requested targeting exclusions.

object
appFilter
Array<string>
device
object
battery
object
plugged
required
boolean
brand
Array<string>
language
Array<string>
model
Array<string>
os
Array<string>
default: android,ios
Allowed values: android ios
osVersion
Array<string>
type
Array<string>
Allowed values: mobile desktop tv tablet ??
not
object recursive
tag
object
audiences
required
Array<object>
object
id
required
string
label
required
string
products
required
Array<object>
object
id
required
string
label
required
string
topics
required
Array<object>
object
id
required
string
label
required
string
app
object
category
Array<object>
object
id
required

E.g: “1”, “20”.

string
label
required
string
list
Array<object>
object
icon
string
id
required
string
label
required
string
platform
required
string
Allowed values: android ios web
appFilters
object
coppa
boolean
maxInstalls
number
minInstalls
number
minScore
number
<= 5
platform
Array<string>
Allowed values: android ios
cellular
object
carrier
required
Array<object>
>= 1 items
object
country
required
string
>= 1 characters
countryCode
required
string
>= 1 characters
iso
required
string
mcc
required
string
/^\d{3}$/
mnc
required
string
/^\d{2,3}$/
network
required
string
>= 1 characters
cpm
number
> 0
isPublic
boolean
location

Exact inventory locations or geographic areas to target.

Array
0
Any of:
One of:
object
countryCode
string
>= 2 characters <= 2 characters
displayName
required
string
lat
required
number
lng
required
number
placeId
required
string
source
required
string
Allowed value: google_places
type
required
string
Allowed value: place
types
required
Array<string>
time
object
day
Array<number>
hour
Array<object>
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
traffic
object
age
object
key
additional properties
number
<= 1
category
object
key
additional properties
number
<= 1
country
object
key
additional properties
number
<= 1
device
object
key
additional properties
number
<= 1
gender
object
key
additional properties
number
<= 1
size
object
key
additional properties
number
<= 1
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
time
object
day
Array<number>
hour
Array<object>
object
_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
from
required
number
<= 23
to
required
number
<= 23
user

Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.

object
gender
Array<string>
Allowed values: female male ??
id
Array<string>
age
Array<string>
Allowed values: -18 18 25 35 45 55 65
interest
Array<object>
object
id
required
string
label
required
string
brand
Any of:

Ref to brands collection

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
budget

Budget in users local currency

Any of:
number
> 0
campaign
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
createdAt
Any of:
string format: date-time
createdBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
cta

CTA text id or custom text

Any of:
string
Allowed values: contact_us download install more_info open play_now see_more subscribe visit_site
deletedAt
Any of:
string format: date-time
height
integer
> 0 <= 9007199254740991
html

HTML content of the creative. Optional until first render.

string
id

Creative ID in ADS service

integer
> 0 <= 9007199254740991
isDraft
required
boolean
locale
string
Allowed values: en es pt
name
string
objective

Number of impressions targeted.

Any of:
integer
> 0 <= 9007199254740991
order

Position of the creative inside its ad group

integer
<= 9007199254740991
organization
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
product
Any of:

Ref to products collection

string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
sample
object
-2
number
other
number
status
required
string
default: enabled
Allowed values: enabled disabled archived
team
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
trackingTag
string format: uri
type
required
string
Allowed values: banner interstitial vast
updatedAt
Any of:
string format: date-time
updatedBy
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$/
url

Destination URL (redirect)

string
utm
object
campaign
string
id
string
medium
string
source
string
v
object
key
additional properties
object
asset
One of:
object
aspectRatio
required
string
Allowed values: 5:4 9:16 2:3 21:9
filename
string
height
integer
> 0 <= 9007199254740991
size
integer
> 0 <= 9007199254740991
storageKey
string
url
required
string format: uri
watermark
boolean
watermarkUrl
string format: uri
width
integer
> 0 <= 9007199254740991
extension
required
string
Allowed values: jpeg jpg png webp
type
required
string
Allowed value: image
createdAt
Any of:
string format: date-time
html
string
>= 1 characters
isActive
boolean
verification
string
default: pending
Allowed values: approved pending rejected
width
integer
> 0 <= 9007199254740991

Example

{
"asset": {
"aspectRatio": "5:4",
"extension": "jpeg",
"type": "image"
},
"audience": {
"app": {
"list": [
{
"platform": "android"
}
]
},
"device": {
"os": [
"android",
"ios"
],
"type": [
"mobile"
]
},
"location": [
{
"source": "google_places",
"type": "place"
}
],
"not": {
"device": {
"os": [
"android",
"ios"
],
"type": [
"mobile"
]
},
"app": {
"list": [
{
"platform": "android"
}
]
},
"appFilters": {
"platform": [
"android"
]
},
"location": [
{
"source": "google_places",
"type": "place"
}
],
"user": {
"gender": [
"female"
],
"age": [
"-18"
]
}
},
"user": {
"gender": [
"female"
],
"age": [
"-18"
]
}
},
"brand": {
"adn": {
"colorScheme": "light"
}
},
"cta": "contact_us",
"isDraft": false,
"locale": "en",
"status": "enabled",
"type": "banner",
"v": {
"additionalProperty": {
"asset": {
"aspectRatio": "5:4",
"extension": "jpeg",
"type": "image"
}
}
},
"verification": "approved"
}

The JSON body is malformed or fails the input validation.

Media typeapplication/json
Any of:
object
errors
required

Zod issues

Array<object>
object
code
required
string
Allowed values: custom invalid_element invalid_format invalid_key invalid_type invalid_union invalid_value not_multiple_of too_big too_small unrecognized_keys
message
required
string
path
required

Location of the invalid field in the procedure input

Array
key
additional properties
message
required
string
Allowed value: Validation Error

Example

{
"errors": [
{
"code": "custom"
}
],
"message": "Validation Error"
}

The API key is missing, invalid, disabled or expired.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key lacks the scope, or its owner lacks the dashboard permission.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The resource does not exist in the organization of the API key.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The request conflicts with the resource state.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}

The API key exceeded its rate limit; retry after the Retry-After seconds.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}
Retry-After
integer

Seconds to wait before retrying.

Unexpected server error.

Media typeapplication/json
object
code
required

TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT

string
Allowed values: PARSE_ERROR BAD_REQUEST INTERNAL_SERVER_ERROR NOT_IMPLEMENTED BAD_GATEWAY SERVICE_UNAVAILABLE GATEWAY_TIMEOUT UNAUTHORIZED PAYMENT_REQUIRED FORBIDDEN NOT_FOUND METHOD_NOT_SUPPORTED TIMEOUT CONFLICT PRECONDITION_FAILED PAYLOAD_TOO_LARGE UNSUPPORTED_MEDIA_TYPE UNPROCESSABLE_CONTENT PRECONDITION_REQUIRED TOO_MANY_REQUESTS CLIENT_CLOSED_REQUEST
message
required
string

Example

{
"code": "PARSE_ERROR"
}